package gov.nih.nlm.nls.lexCheck.Cat.Adj;
import gov.nih.nlm.nls.lexCheck.Lib.*;
/*****************************************************************************
* This class updates position to current lexical record.
*
* <p><b>History:</b>
*
* @author NLM LVG Development Team
*
* @version    V-2019
****************************************************************************/
public class UpdateAdjPosition implements UpdateLex
{
    // public method
    /**
    * Update the adjective position to cuurent lexical record
    *
    * @param   lexObj  the java object of current lexical record
    * @param   token   the position from the current read in line
    */
    public void Update(LexRecord lexObj, String token)
    {
        lexObj.GetCatEntry().GetAdjEntry().AddPosition(token);
    }
}
