package gov.nih.nlm.nls.lexCheck.Cat.Modal;
import gov.nih.nlm.nls.lexCheck.Lib.*;
/*****************************************************************************
* This class updates modal variants to current lexical record.
*
* <p><b>History:</b>
*
* @author NLM LVG Development Team
*
* @version    V-2019
****************************************************************************/
public class UpdateModalVariant implements UpdateLex
{
    // public method
    /**
    * Update the modal variants to cuurent lexical record
    *
    * @param   lexObj  the java object of current lexical record
    * @param   token   the modal variants from the current read in line
    */
    public void Update(LexRecord lexObj, String token)
    {
        lexObj.GetCatEntry().GetModalEntry().AddVariant(token);
    }
}
