package gov.nih.nlm.nls.lexCheck.Cat.Noun;
import gov.nih.nlm.nls.lexCheck.Lib.*;
/*****************************************************************************
* This class updates noun nominalization to current lexical record.
*
* <p><b>History:</b>
*
* @author NLM LVG Development Team
*
* @version    V-2019
****************************************************************************/
public class UpdateNounNominalization implements UpdateLex
{
    // public method
    /**
    * Update the noun nominalization to cuurent lexical record
    *
    * @param   lexObj  the java object of current lexical record
    * @param   token   the noun nominalization from the current read in line
    */
    public void Update(LexRecord lexObj, String token)
    {
        lexObj.GetCatEntry().GetNounEntry().AddNominalization(token);
    }
}
