package gov.nih.nlm.nls.lexCheck.Cat.Noun;
import gov.nih.nlm.nls.lexCheck.Lib.*;
/*****************************************************************************
* This class updates noun trade mark to current lexical record.
*
* <p><b>History:</b>
*
* @author NLM LVG Development Team
*
* @version    V-2019
****************************************************************************/
public class UpdateNounTradeMark implements UpdateLex
{
    // public method
    /**
    * Update the noun trade mark to cuurent lexical record
    *
    * @param   lexObj  the java object of current lexical record
    * @param   token   the noun trade mark from the current read in line
    */
    public void Update(LexRecord lexObj, String token)
    {
        lexObj.GetCatEntry().GetNounEntry().SetTradeMark(
            token.equals("\ttrademark"));
    }
}
