package gov.nih.nlm.nls.lexCheck.Cat.Noun;
import gov.nih.nlm.nls.lexCheck.Lib.*;
/*****************************************************************************
* This class updates noun variants to current lexical record.
*
* <p><b>History:</b>
*
* @author NLM LVG Development Team
*
* @version    V-2019
****************************************************************************/
public class UpdateNounVariants implements UpdateLex
{
    // public method
    /**
    * Update the noun variants to cuurent lexical record
    *
    * @param   lexObj  the java object of current lexical record
    * @param   token   the noun variants from the current read in line
    */
    public void Update(LexRecord lexObj, String token)
    {
        //TBD: 
        lexObj.GetCatEntry().GetNounEntry().AddVariant(token);
        // TBD: add base into current irreg
        /***
        String filler = token;
        if(token.startsWith("irreg|"))
        {
            filler = "irreg|" + lexObj.GetBase() + token.substring(5);
        }
        lexObj.GetCatEntry().GetNounEntry().AddVariant(filler);
        ***/
    }
}
