package gov.nih.nlm.nls.lexCheck.Cat.Verb;
import gov.nih.nlm.nls.lexCheck.Lib.*;
/*****************************************************************************
* This class updates verb ditransitive complement to current lexical record.
*
* <p><b>History:</b>
*
* @author NLM LVG Development Team
*
* @version    V-2019
****************************************************************************/
public class UpdateVerbDitran implements UpdateLex
{
    // public method
    /**
    * Update the verb ditransitive complement to cuurent lexical record
    *
    * @param   lexObj  the java object of current lexical record
    * @param   token   the verb ditransitive complement from the current read 
    *                  in line
    */
    public void Update(LexRecord lexObj, String token)
    {
        lexObj.GetCatEntry().GetVerbEntry().AddDitran(token);
    }
}
