package gov.nih.nlm.nls.lexCheck.Cat.Adj;
import gov.nih.nlm.nls.lexCheck.Lib.*;
/*****************************************************************************
* This class updates stative status to current lexical record.
*
* <p><b>History:</b>
*
* @author NLM LVG Development Team
*
* @version    V-2019
****************************************************************************/
public class UpdateAdjStative implements UpdateLex
{
    // public method
    /**
    * Update the adjective stative status to cuurent lexical record
    *
    * @param   lexObj  the java object of current lexical record
    * @param   token   the stative status from the current read in line
    */
    public void Update(LexRecord lexObj, String token)
    {
        lexObj.GetCatEntry().GetAdjEntry().SetStative(
            token.equals("\tstative"));
    }
}
