package gov.nih.nlm.nls.lexCheck.Cat.Adv;
import gov.nih.nlm.nls.lexCheck.Lib.*;
/*****************************************************************************
* This class updates modification type for syntactical category of adverb.
*
* <p><b>History:</b>
*
* @author NLM LVG Development Team
*
* @version    V-2019
****************************************************************************/
public class UpdateAdvModification implements UpdateLex
{
    // public method
    /**
    * Update the adverb modificatintype to cuurent lexical record
    *
    * @param   lexObj  the java object of current lexical record
    * @param   token   the modification type from the current read in line
    */
    public void Update(LexRecord lexObj, String token)
    {
        lexObj.GetCatEntry().GetAdvEntry().AddModification(token);
    }
}
