package gov.nih.nlm.nls.lexCheck.Cat.Det;
import gov.nih.nlm.nls.lexCheck.Lib.*;
/*****************************************************************************
* This class updates variatns to current lexical record.
*
* <p><b>History:</b>
*
* @author NLM LVG Development Team
*
* @version    V-2019
****************************************************************************/
public class UpdateDetVariants implements UpdateLex
{
    // public method
    /**
    * Update the determiner variants to cuurent lexical record
    *
    * @param   lexObj  the java object of current lexical record
    * @param   token   the variants from the current read in line
    */
    public void Update(LexRecord lexObj, String token)
    {
        lexObj.GetCatEntry().GetDetEntry().SetVariants(token);
    }
}
