package gov.nih.nlm.nls.lexCheck.Gram;
import gov.nih.nlm.nls.lexCheck.Lib.*;
/*****************************************************************************
* This class updates annotation in the lexical record.
*
* <p><b>History:</b>
*
* @author NLM Lexical System Development Team
*
* @version    V-2019
****************************************************************************/
public class UpdateAnnotation implements UpdateLex
{
    // public method
    /**
    * Updates annotation in the lexical record
    *
    * @param   lexObj  the current object of lexical record
    * @param   token   the cuurent token of annotation
    */
    public void Update(LexRecord lexObj, String token)
    {
        lexObj.SetAnnotation(token);
    }
}
