package gov.nih.nlm.nls.lexCheck.Gram;
import gov.nih.nlm.nls.lexCheck.Lib.*;
/*****************************************************************************
* This class updates spelling variants in the lexical record.
*
* <p><b>History:</b>
* <ul>
* <li>SCR-58: chlu, 11/16/18, add a new field class_type
* </ul>
*
* @author NLM Lexical System Development Team
*
* @version    V-2019
****************************************************************************/
public class UpdateClassType implements UpdateLex
{
    // public method
    /**
    * Updates class types in the lexical record
    *
    * @param   lexObj  the current object of lexical record
    * @param   token   the cuurent token of class types
    */
    public void Update(LexRecord lexObj, String token)
    {
        lexObj.SetClassType(token);
    }
}
