package gov.nih.nlm.nls.lexCheck.Gram;
import gov.nih.nlm.nls.lexCheck.Lib.*;
/*****************************************************************************
* This class updates the end curley bracket in the lexical record.
*
* <p><b>History:</b>
*
* @author NLM Lexical System Development Team
*
* @version    V-2019
****************************************************************************/
public class UpdateEnd implements UpdateLex
{
    // public method
    /**
    * Updates the end curley bracket in the lexical record
    *
    * @param   lexObj  the current object of lexical record
    * @param   token   the cuurent token of the end curley bracket
    */
    public void Update(LexRecord lexObj, String token)
    {
        lexObj.SetEnd(token);
    }
}
